# frozen_string_literal: true

Auth1::Engine.config.middleware.use OmniAuth::Builder do
  provider(
    :auth0,
    ENV['AUTH0_CLIENT_ID'],
    ENV['AUTH0_CLIENT_SECRET'],
    ENV['AUTH0_DOMAIN'],
    callback_path: Auth1::Engine.routes.url_helpers.callback_path,
    authorize_params: {
      scope: 'openid email profile'
    }
  )
end
