# frozen_string_literal: true

module Auth1
  class Engine < ::Rails::Engine
    isolate_namespace Auth1

    initializer :auth1 do
      ActiveSupport.on_load(:action_controller) do
        helper Auth1::Engine.helpers
      end
    end
  end
end
